data dates;
  input transID $ date : mmddyy10.;
  date2 = date;
  format date date9.;
return;
datalines;
1 11/15/1950
2 01/01/1960
3 11/29/1984
4 12/05/2005
5 01/20/2011
;
run;

ods listing close;
ods msoffice2k file='problem_mso.xls' style=sasweb;
proc report data=dates nowd;
  title 'Try MSO number format';
  column transID date date2;
  define transID /display;
  define date /display f=date9. 'MSO Format NOT OK'
    style(column)={htmlstyle="mso-number-format:mmmm\\ d\\\,\\ yyyy"};
  define date2 /display  f=date9. 'MSO Format IS OK'
    style(column)={htmlstyle="mso-number-format:mm\-dd\-yyyy"};
run;
ods _all_ close;
