** Demo01 **;
** No "scientific notation" or ;
** "format numbers as text" for "mixed" column;
** and set column width for Excel;

data mom_and_pop_books;
  length book $8 isbn $20;
  infile datalines;
  input book $ isbn & $ price;
return;
datalines;
Book1 978-1577314059  23.95
Book2 978-0-14118-311-4  20.28
Book3 9780142000083  23.99
Book4 ISBN 978-0801881855  26.34
;
run;

ods listing;
proc print data=mom_and_pop_books;
run;
 
ods listing close;
** Default behavior;
ods msoffice2k file='demo01_default_mso.xls' style=sasweb;
ods tagsets.excelxp file='demo01_default_xp.xls' style=sasweb;

proc report data=mom_and_pop_books nowd;
  title '1) Default All Destinations';
  column book isbn price;
  define book / order;
  define isbn / display;
  define price / sum;
run;

ods _all_ close;

** MSOFFICE2K behavior;
ods listing close;
ods msoffice2k file='c:\temp\demo01_MSO.xls' style=sasweb;

proc report data=mom_and_pop_books nowd;
  title '2) HTMLSTYLE= Style Override';
  column book isbn price;
  define book / order;
  define isbn / display
    style(column)={htmlstyle="mso-number-format:'\@';width:'190pt'"} ;
  define price / sum;
run;

ods _all_ close;

** ExcelXP;
ods listing close;
ods tagsets.excelxp file='c:\temp\demo01_XP.xls' style=sasweb
    options(absolute_column_width='12,20,12' doc='Help');

proc report data=mom_and_pop_books nowd;
  title '3) TAGATTR Style Override';
  column book isbn price;
  define book / order;
  define isbn / display
         style(column)={tagattr='Format:@'};
  define price / sum;
run;

proc report data=mom_and_pop_books nowd;
  title '3b) TAGATTR Style Override';
  column book isbn price;
  define book / order;
  define isbn / display
         style(column)={tagattr='Format:Text'};
  define price / sum;
run;

ods _all_ close;
title;
