** Demo02_LEADZERO.SAS;
** Use a Microsoft format for: leading zeroes;
** and percents;

data ticket;
  input transID  dest $ type $ amt profit;
  char_transID = put(transid,z5.);
datalines;
00010 CHICAGO   TEL    100 .10 
00222 CHICAGO   TEL    200 .15 
00330 GENEVA    WEB    300 .125 
00444 GENEVA    WEB   -400 .175 
00550 LONDON    TEL    500 .20 
06000 LONDON    TEL    600 .22 
00777 LONDON    WEB    700 .24 
00088 PARIS     TEL    800 .26 
00990 PARIS     WEB    900 .27 
;
run;
         
ods listing;
proc print data=ticket;
var dest transID char_transID amt profit;
format transid z5. profit percent8.1;
run;
 
title;
footnote;
ods listing close;
ods tagsets.msoffice2k file='demo02_default_mso.xls' style=sasweb;
ods tagsets.excelxp file='demo02_default_XP.xls' style=sasweb;
proc report data=ticket nowd;
  title '1) Default for Leading Zero and Percent';
  column dest transID char_transid amt profit;
  define dest / display;
  define transID /display f=z5.;
  define char_transid / display;
  define profit/ 'Pct Profit';
run;
ods _all_ close;


ods msoffice2k file='demo02_MSO.xls' style=sasweb;

proc report data=ticket nowd;
  title '2) Using HTMLSTYLE';
  column dest transID char_transid amt profit;
  define transID / 
         style(column)={htmlstyle="mso-number-format:'00000'"};
  define char_transid / display
         style(column)={htmlstyle="mso-number-format:'00000'"};
  define profit/ 'Pct Profit'
         style(column)={htmlstyle="mso-number-format:'###.0%';width='100pt'"};
run;
 
proc report data=ticket nowd;
  title '2b) Using HTMLSTYLE without internal quotes';
  column dest transID char_transid amt profit;
  define transID / 
         style(column)={htmlstyle="mso-number-format:00000"};
  define char_transid / display
         style(column)={htmlstyle="mso-number-format:00000"};
  define profit/ 'Pct Profit'
         style(column)={htmlstyle="mso-number-format:###.0%;width=100pt"};
run;
 
ods _all_ close;             
              
ods tagsets.excelxp file='demo02_XP.xls' style=sasweb
    options(absolute_column_width='15');

proc report data=ticket nowd;
  title '3) Using TAGATTR';
  column dest transID char_transid amt profit;
  define transID / style(column)={tagattr='00000'};
  define char_transID / style(column)={tagattr='00000'};
  define profit/ 'Pct Profit'
         style(column)={tagattr='format:###.0%'};
run;
 
ods _all_ close;
ods listing;
title;


/* also acceptable values for TAGSETS.EXCELXP:
  define transID / style(column)={tagattr='Format:00000'};
  define char_transID / style(column)={tagattr='Format:00000'};
*/

