** Demo03_negative_numbers;
** Use a more complicated format for negative numbers;

data ticket;
  input transID $ dest $ type $ amt;
datalines;
1 CHICAGO   TEL    1100  
2 CHICAGO   TEL    2200  
3 GENEVA    WEB    3300  
4 GENEVA    WEB   -4400  
5 LONDON    TEL    0  
;
run;
                     
title;
footnote;

ods listing;
proc print data=ticket;
run;

ods listing close;
ods tagsets.msoffice2k file='demo03_default_mso.xls' style=sasweb;
ods tagsets.excelxp file='demo03_default_XP.xls' style=sasweb;
proc report data=ticket nowd;
  title '1) Default for Negative Numbers';
  column dest transID amt;
  define dest / display;
  define transID /display;
run;
ods _all_ close;

ods msoffice2k file='demo03_MSO.xls' style=sasweb;

proc report data=ticket nowd;
  title '2) Using HTMLSTYLE';
  column dest transID  amt;
  define transID / style(column)={htmlstyle="mso-number-format:'00000'"};
  define amt / 
        "mso-number-format:'\0022$\0022\#\,\#\#0\.00\;\[Red\]\(\0022$\0022\#\,\#\#0\.00\)\;\[Blue\]0\.00'"};
run;
 
ods _all_ close;
             
              
ods tagsets.excelxp file='demo03_XP.xls' style=sasweb
    options(absolute_column_width='15');

proc report data=ticket nowd;
  title '3) Using TAGATTR';
  column dest transID  amt;
  define transID / style(column)={tagattr='00000'};
  define amt / 
    style(column)={tagattr='format:$#,##0.00;[Red]($#,##0.00);[Blue]0.00;'};
run;

** you can also use the named entity for a quote as shown;
** in the code below. But, the simple method shown above seems to work OK.;
proc report data=ticket nowd;
  title '3b) Using TAGATTR with other specification';
  column dest transID  amt;
  define transID / style(column)={tagattr='00000'};
  define amt / 
    style(column)={tagattr='&quot;$&quot;#,##0.00;[Red]\(&quot;$&quot;#,##0.00\);[Blue]0.00'};
run;

ods _all_ close;
ods listing;
title;


