** demo05_percents.sas;

data prof;
  input grade rpass year count percent;
return;
cards;
1 2 2002 23 .099
1 2 2003 43 .082
1 2 2001 24 .021
2 3 2002 32 .089
2 3 2001 32 .079
2 3 2003 32 .069
3 4 2002 32 .089
3 4 2001 32 .079
3 4 2003 32 .069
4 2 2002 23 .099
4 2 2003 43 .082
4 2 2001 24 .021
;
run;

ods listing;
proc print data=prof;
run;
ods listing close;
  
ods msoffice2k file='demo5_default_mso.xls' style=sasweb;
ods tagsets.ExcelXP file='demo5_default_XP.xls' style=sasweb
    options(sheet_Name="Grade Passrate");
  proc report data = prof nowd;
  title '1) Default Behavior with SAS Percent format';
  column grade rpass year,(count percent);
  define grade / group order=data descending 'Grade';

  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#';
  define percent / '%' f=percent6.1;
run;
   
ods _all_ close;

ods msoffice2k file='demo5_percent_mso.xls' style=sasweb;
  proc report data = prof nowd;
  title '2) HTMLSTYLE for Percents';
  column grade rpass year,(count percent);
  define grade / group order=data descending 'Grade';
  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#';
  define percent / '%' 
    style(column)={htmlstyle='mso-number-format:##0.0%'};
run;
   
ods _all_ close;

ods tagsets.ExcelXP file='demo5_percent_XP.xls' style=sasweb
    options(sheet_Name="Grade Passrate");
  proc report data = prof nowd;
  title '3) TAGATTR for Percents';
  column grade rpass year,(count percent);
  define grade / group order=data descending 'Grade';

  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#';
  define percent / '%' style(column)={tagattr='format:##0.0%'};
run;
   
ods _all_ close;
ods listing;
title; 
footnote;
