  
data prof;
  input grade rpass year count percent;
  rowvar = grade;
  /* could also use rowvar = _n_ */
  /* or any other technique which resulted in an */
  /* integer number to use in the mod function */
return;
cards;
1 2 2002 23 .099
1 2 2003 43 .082
1 2 2001 24 .021
2 3 2002 32 .089
2 3 2001 32 .079
2 3 2003 32 .069
3 4 2002 32 .089
3 4 2001 32 .079
3 4 2003 32 .069
4 2 2002 23 .099
4 2 2003 43 .082
4 2 2001 24 .021
;
run;

data class;
  set sashelp.class;
  rowvar = ceil(divide(_n_,5));
run;

ods listing;
 
proc print data=prof;
  title 'Show Value of RowVar';
  var rowvar grade rpass year count percent;
run;
 
proc print data=class;
  title 'Show Value of RowVar';
  var rowvar name age sex height weight;
run;

ods listing close;
  
ods msoffice2k file='demo06_alt_row_mso.xls' style=sasweb;
ods tagsets.ExcelXP file='demo06_alt_row_xp.xls' style=sasweb;
  proc report data = prof nowd
       style(report)={background=white}
       style(header)={background=cx8064A2}
       style(column)={background=white};
  title 'Alternate Color Every Other Row';
  column grade rowvar rpass year,(count percent);
  define grade / group order=data descending 'Grade';
  define rowvar / group noprint;
  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#' ;
  define percent / '%' f=percent6.1;
  compute rowvar;
    ** Note: ROWVAR was created in the above DATA step;
    ** program from the GRADE variable, which has a value;
    ** of 1, 2, 3, or 4. For this MOD technique, you need;
    ** for your "ROWVAR" to be numeric and divisible;
    ** so you get 0 or not 0, and then you have your;
    ** alternating value for highlighting.;
    if mod(rowvar, 2) = 0 then do;
        call define (_row_, "style", 
                     "style = {background = CXE4DFEC}");
    end;
  endcomp;
run;

  proc report data = class nowd
       style(report)={background=white}
       style(header)={background=cx8064A2}
       style(column)={background=white};
  title 'Alternate Color Every 5 Rows';
  column rowvar name age sex height weight;
  define rowvar / display noprint;
  define name / order;
  define age / display;
  define sex /display;
  define height / mean;
  define weight / mean;
  compute rowvar;
    if mod(rowvar, 2) = 0 then do;
        call define (_row_, "style", 
                     "style = {background = CXE4DFEC}");
    end;
  endcomp;
run;
   
ods _all_ close;

