  
data prof;
  input grade rpass year count percent;
return;
cards;
1 2 2002 23 .099
1 2 2003 43 .082
1 2 2001 24 .021
2 3 2002 32 .089
2 3 2001 32 .079
2 3 2003 32 .069
3 4 2002 32 .089
3 4 2001 32 .079
3 4 2003 32 .069
4 2 2002 23 .099
4 2 2003 43 .082
4 2 2001 24 .021
;
run;

  
** 1) Using Simple Style Overrides;
ods msoffice2k file='demo06_change_header_mso.xls' style=sasweb;
ods tagsets.ExcelXP file='demo06_change_header_xp.xls' style=sasweb;
  proc report data = prof nowd
       style(report)={background=white}
       style(header)={background=cx8064A2};
  column grade rpass year,(count percent);
  define grade / group order=data descending 'Grade';
  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#' ;
  define percent / '%' f=percent6.1;
run;
   
ods _all_ close;

** 2) Using Trafficlighting;
proc format;
  value cback low-25='light red'
              26-32 = 'yellow'
              33-high = 'light green';
run;

ods msoffice2k file='demo06_tlite_data_mso.xls' style=sasweb;
ods tagsets.ExcelXP file='demo06_tlite_data_xp.xls' style=sasweb;
  proc report data = prof nowd
       style(report)={background=white}
       style(header)={background=cx8064A2};
  column grade rpass year,(count percent);
  define grade / group order=data descending 'Grade';
  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#' 
         style(column)={background=cback.};
  define percent / '%' f=percent6.1;
run;
   
ods _all_ close;


** 3) Using CALL DEFINE;

ods msoffice2k file='demo06_tlite_calldef_mso.xls' style=sasweb;
ods tagsets.ExcelXP file='demo06_tlite_calldef_xp.xls' style=sasweb;
  proc report data = prof nowd
       style(report)={background=white}
       style(header)={background=cx8064A2};
  column grade rpass year,(count percent);
  define grade / group order=data descending 'Grade';
  define rpass / group ' ' order=internal;
  define year / across order=data descending ' ';
  define count / '#' 
         style(column)={background=cback.};
  define percent / '%' f=percent6.1;
  compute count;
    if grade=1 then do;
      call define(_col_,'style','style={background=white}');
    end;
    else if grade = 2 then do;
      call define(_row_,'style','style={background=cxE4DFEC}');
    end;
  endcomp;
run;
   
ods _all_ close;
